%define pypi_name pathlib2

Name:           python-pathlib2
Version:        2.3.7
Release:        %mkrel 3
Group:          Development/Python
Summary:        Object-oriented filesystem paths

License:        MIT
URL:            https://pypi.python.org/pypi/pathlib2
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.post1.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
The goal of pathlib2 is to provide a backport of standard pathlib module which
tracks the standard library module, so all the newest features of the standard
pathlib can be used also on older Python versions.

%package -n python3-%{pypi_name}
Summary:        Object-oriented filesystem paths
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(mock)

%description -n python3-%{pypi_name}
The goal of pathlib2 is to provide a backport of standard pathlib module which
tracks the standard library module, so all the newest features of the standard
pathlib can be used also on older Python versions.

%prep
%setup -q -n %{pypi_name}-%{version}.post1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.3.7-3.mga10
+ Revision: 2238314
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 2.3.7-2.mga10
+ Revision: 2154969
- rebuild for python 3.13

* Mon Dec 11 2023 daviddavid <daviddavid> 2.3.7-1.mga10
+ Revision: 2017090
- new version: 2.3.7 (post1)
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 2.3.5-7.mga9
+ Revision: 1822401
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.3.5-6.mga9
+ Revision: 1773612
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 2.3.5-5.mga9
+ Revision: 1703270
- drop bundled egg-info while building

* Mon Mar 15 2021 neoclust <neoclust> 2.3.5-4.mga9
+ Revision: 1703253
- Do not requires python-scandir

* Mon Mar 15 2021 neoclust <neoclust> 2.3.5-3.mga9
+ Revision: 1703244
- Rebuild against python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.3.5-2.mga8
+ Revision: 1538097
- Mageia 8 Mass Rebuild

* Wed Nov 13 2019 daviddavid <daviddavid> 2.3.5-1.mga8
+ Revision: 1459723
- new version: 2.3.5

* Wed Sep 04 2019 wally <wally> 2.3.4-1.mga8
+ Revision: 1437267
- new version 2.3.4
- drop python2 support
- rebuild for python3.8

* Wed Jan 09 2019 shlomif <shlomif> 2.3.3-2.mga7
+ Revision: 1353720
- Rebuild for python3 3.7

* Tue Jan 01 2019 wally <wally> 2.3.3-1.mga7
+ Revision: 1347998
- new version 2.3.3

* Thu Sep 20 2018 umeabot <umeabot> 2.3.2-2.mga7
+ Revision: 1289657
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 kekepower <kekepower> 2.3.2-1.mga7
+ Revision: 1220616
- Update to version 2.3.2
- Renamed python-pathlib2 to python2-pathlib2
- Added python3-pathlib2
- Use python_provide

* Tue Aug 15 2017 philippem <philippem> 2.3.0-1.mga7
+ Revision: 1140986
- update to 2.3.0

* Fri Apr 15 2016 philippem <philippem> 2.1.0-1.mga6
+ Revision: 1002842
- imported package python-pathlib2

